Debian Bug report logs - #660032
libjs-dojo: Does not build using new 1.7.1 release

version graph

Package: libjs-dojo-core; Maintainer for libjs-dojo-core is Jason Morawski <rpgdude1@gmail.com>; Source for libjs-dojo-core is src:dojo.

Reported by: Bo Lorentsen <bl@lue.dk>

Date: Wed, 15 Feb 2012 22:06:01 UTC

Severity: normal

Tags: patch

Found in version dojo/1.6.1+dfsg-1

Fixed in version dojo/1.7.2+dfsg-1

Done: Jason Morawski <rpgdude1@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, bl@lue.dk, Jason Morawski <rpgdude1@gmail.com>:
Bug#660032; Package libjs-dojo-core. (Wed, 15 Feb 2012 22:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bo Lorentsen <bl@lue.dk>:
New Bug report received and forwarded. Copy sent to bl@lue.dk, Jason Morawski <rpgdude1@gmail.com>. (Wed, 15 Feb 2012 22:06:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Bo Lorentsen <bl@lue.dk>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libjs-dojo: Does not build using new 1.7.1 release
Date: Wed, 15 Feb 2012 23:02:35 +0100
Package: libjs-dojo-core
Version: 1.6.1+dfsg-1
Severity: serious
File: libjs-dojo
Tags: patch
Justification: fails to build from source

Dear Maintainer,

When trying to upgrade you dojo package from 1.6.1 to 1.7.1, the build
system in debina/rules no longer worked as the dojo guys had changed 
the build arguments.

I changed the debian/rules file using this patch :

20c20
<     cd util/buildscripts && java -cp /usr/share/java/shrinksafe.jar
org.mozilla.javascript.tools.shell.Main build.js profile=standard
version=debian releaseName=. cssOptimize=comments.keepLines
optimize=shrinksafe.keepLines action=release
---
>     cd util/buildscripts && ./build.sh profile=standard
version=debian releaseName=. cssOptimize=comments.keepLines
optimize=shrinksafe.keepLines action=release 

This, together with a new upstream source package make the new package 
build again (and some changes in debian/changelog).

I hope to se new dojo packages in the ned debian release that is not
too old :-)

Regards 

/BL

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_DK.UTF-8, LC_CTYPE=en_DK.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

libjs-dojo-core depends on no packages.

Versions of packages libjs-dojo-core recommends:
ii  javascript-common  7
ii  libjs-dojo-dijit   1.6.1+dfsg-1
ii  libjs-dojo-dojox   1.6.1+dfsg-1

libjs-dojo-core suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Jason Morawski <rpgdude1@gmail.com>:
Bug#660032; Package libjs-dojo-core. (Thu, 01 Mar 2012 17:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Jason Morawski <rpgdude1@gmail.com>. (Thu, 01 Mar 2012 17:03:06 GMT) Full text and rfc822 format available.

Message #10 received at 660032@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Bo Lorentsen <bl@lue.dk>, 660032@bugs.debian.org
Subject: Re: Bug#660032: libjs-dojo: Does not build using new 1.7.1 release
Date: Thu, 1 Mar 2012 18:01:39 +0100
[Message part 1 (text/plain, inline)]
On Wed, 15 Feb 2012 23:02:35 +0100, Bo Lorentsen wrote:

> Package: libjs-dojo-core
> Version: 1.6.1+dfsg-1
> Severity: serious
> File: libjs-dojo
> Tags: patch
> Justification: fails to build from source
> 
> When trying to upgrade you dojo package from 1.6.1 to 1.7.1, the build
> system in debina/rules no longer worked as the dojo guys had changed 
> the build arguments.

Thanks for the heads up which will be useful for the maintainer once
he packages the new release.

I just think the severity of this bug report should be massively
lowered; I fail to see how 1.6.1+dfsg-1 can have a bug if 1.7.1
doesn't build with the current files in debian/.
 

Cheers,
gregor, just looking at RC bugs

-- 
 .''`.  Homepage: http://info.comodo.priv.at/ - OpenPGP key 0xBB3A68018649AA06
 : :' : Debian GNU/Linux user, admin, and developer  -  http://www.debian.org/
 `. `'  Member of VIBE!AT & SPI, fellow of the Free Software Foundation Europe
   `-   NP: Van Morrison
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Jason Morawski <rpgdude1@gmail.com>:
Bug#660032; Package libjs-dojo-core. (Sat, 03 Mar 2012 16:24:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Jason Morawski <rpgdude1@gmail.com>. (Sat, 03 Mar 2012 16:24:06 GMT) Full text and rfc822 format available.

Message #15 received at 660032@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: gregor herrmann <gregoa@debian.org>
Cc: Bo Lorentsen <bl@lue.dk>, <660032@bugs.debian.org>
Subject: Re: Bug#660032: libjs-dojo: Does not build using new 1.7.1 release
Date: Sat, 03 Mar 2012 16:21:51 +0000
severity 660032 normal
thanks

On 01.03.2012 17:01, gregor herrmann wrote:
> On Wed, 15 Feb 2012 23:02:35 +0100, Bo Lorentsen wrote:
>> When trying to upgrade you dojo package from 1.6.1 to 1.7.1, the 
>> build
>> system in debina/rules no longer worked as the dojo guys had changed
>> the build arguments.
>
> Thanks for the heads up which will be useful for the maintainer once
> he packages the new release.
>
> I just think the severity of this bug report should be massively
> lowered; I fail to see how 1.6.1+dfsg-1 can have a bug if 1.7.1
> doesn't build with the current files in debian/.

Ack.

Regards,

Adam




Severity set to 'normal' from 'serious' Request was from "Adam D. Barratt" <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Sat, 03 Mar 2012 16:24:10 GMT) Full text and rfc822 format available.

Reply sent to Jason Morawski <rpgdude1@gmail.com>:
You have taken responsibility. (Mon, 05 Mar 2012 22:24:05 GMT) Full text and rfc822 format available.

Notification sent to Bo Lorentsen <bl@lue.dk>:
Bug acknowledged by developer. (Mon, 05 Mar 2012 22:24:05 GMT) Full text and rfc822 format available.

Message #22 received at 660032-close@bugs.debian.org (full text, mbox):

From: Jason Morawski <rpgdude1@gmail.com>
To: 660032-close@bugs.debian.org
Subject: Bug#660032: fixed in dojo 1.7.2+dfsg-1
Date: Mon, 05 Mar 2012 22:21:09 +0000
Source: dojo
Source-Version: 1.7.2+dfsg-1

We believe that the bug you reported is fixed in the latest version of
dojo, which is due to be installed in the Debian FTP archive:

dojo_1.7.2+dfsg-1.debian.tar.gz
  to main/d/dojo/dojo_1.7.2+dfsg-1.debian.tar.gz
dojo_1.7.2+dfsg-1.dsc
  to main/d/dojo/dojo_1.7.2+dfsg-1.dsc
dojo_1.7.2+dfsg.orig.tar.gz
  to main/d/dojo/dojo_1.7.2+dfsg.orig.tar.gz
libjs-dojo-core_1.7.2+dfsg-1_all.deb
  to main/d/dojo/libjs-dojo-core_1.7.2+dfsg-1_all.deb
libjs-dojo-dijit_1.7.2+dfsg-1_all.deb
  to main/d/dojo/libjs-dojo-dijit_1.7.2+dfsg-1_all.deb
libjs-dojo-dojox_1.7.2+dfsg-1_all.deb
  to main/d/dojo/libjs-dojo-dojox_1.7.2+dfsg-1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 660032@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jason Morawski <rpgdude1@gmail.com> (supplier of updated dojo package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 20 Feb 2012 16:14:59 -0500
Source: dojo
Binary: libjs-dojo-core libjs-dojo-dijit libjs-dojo-dojox
Architecture: source all
Version: 1.7.2+dfsg-1
Distribution: unstable
Urgency: low
Maintainer: Jason Morawski <rpgdude1@gmail.com>
Changed-By: Jason Morawski <rpgdude1@gmail.com>
Description: 
 libjs-dojo-core - Modular JavaScript toolkit
 libjs-dojo-dijit - Modular JavaScript toolkit - Dijit
 libjs-dojo-dojox - Modular JavaScript toolkit - DojoX
Closes: 660032
Changes: 
 dojo (1.7.2+dfsg-1) unstable; urgency=low
 .
   * New upstream version
   * Updated build rules to support new build system (Closes: #660032).
   * Bumped Standards-Version
   * Added missing recommended build targets
Checksums-Sha1: 
 6744487e468dd58556b9e293a9bd8c1366c03625 1250 dojo_1.7.2+dfsg-1.dsc
 2afd423bc810c47c8205d96d8f9ce029854d9790 27484398 dojo_1.7.2+dfsg.orig.tar.gz
 e868940ab632252494d7c3714580b1eebf9b97b3 9561 dojo_1.7.2+dfsg-1.debian.tar.gz
 47dbb6b696a06fbebe72e28e853a0979d8612a4c 720162 libjs-dojo-core_1.7.2+dfsg-1_all.deb
 2e70cdd518c0afd6979ca1fac8b14466f85df94b 1559122 libjs-dojo-dijit_1.7.2+dfsg-1_all.deb
 7256d5ba1dec3497f878f337ebd403fad8621943 4911658 libjs-dojo-dojox_1.7.2+dfsg-1_all.deb
Checksums-Sha256: 
 7149fe3be079a0d2b239bbc6f6b75c1d620903b59e3d8f7a7d9536046e0d6266 1250 dojo_1.7.2+dfsg-1.dsc
 0509c453903a660671f6991ba298ad5a19a2559959fd12b7c72dcecddf3848fe 27484398 dojo_1.7.2+dfsg.orig.tar.gz
 4fe9ae8aead7883ee10d70cb118de6383d490dcf47283ab95f5bdf191ed9e891 9561 dojo_1.7.2+dfsg-1.debian.tar.gz
 15d7d6aa6265451537adceea446228cea68403823256c2c03c39221393fabf42 720162 libjs-dojo-core_1.7.2+dfsg-1_all.deb
 fa1d343dc33daf6e8db83e4d10041b7051766c2681cd8425c8cbaa68155439df 1559122 libjs-dojo-dijit_1.7.2+dfsg-1_all.deb
 82e1a9038ad37bbd5102701350328da076de9340343061759ea11c9e42b7515f 4911658 libjs-dojo-dojox_1.7.2+dfsg-1_all.deb
Files: 
 d5bc783bb2883d6f923666a96d21ac29 1250 web optional dojo_1.7.2+dfsg-1.dsc
 fec804aac1f040ce66201c1a1f995fd4 27484398 web optional dojo_1.7.2+dfsg.orig.tar.gz
 f1cc5bf740313cf995aa0cb3bdc4fdd4 9561 web optional dojo_1.7.2+dfsg-1.debian.tar.gz
 db2c89b42ecef10b977ecde1e8bb090b 720162 web optional libjs-dojo-core_1.7.2+dfsg-1_all.deb
 f6dc54b61d533a191597cf75f67485c0 1559122 web optional libjs-dojo-dijit_1.7.2+dfsg-1_all.deb
 b2383ccc1882bcbfe740d7e7b7a798a4 4911658 web optional libjs-dojo-dojox_1.7.2+dfsg-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk9VN9cACgkQ+C5cwEsrK54ZOgCdHe2TFOuEIdZwnqjTvyR7D8ZT
O+EAn1xGeRElW7ZVVdY6PxIISeBlULfD
=CnL/
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 13 Apr 2012 07:39:47 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 19:20:00 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.